
TYPO3.Neos - Feature # 29542

Status: Resolved Priority: Won't have this time
Author: Sebastian Kurfuerst Category: TypoScript
Created: 2011-09-07 Assigned To:
Updated: 2013-05-13 Due date:
Subject: Allow for arbitrary menu starting points set in TS
Description

If you set the "baseNode" property of a Menu to a node path the
resulting menu will start from there.
It doesn't support entryLevel or lastLevel for now (both will be
ignored).

Attached is a work-in-progress. This was in https://review.typo3.org/#change,1789 before

Associated revisions
Revision b3621bd6 - 2013-05-11 18:31 - Christian Müller

[FEATURE] Allow arbitrary starting point for menu

This provides an additional property to the Menu
implementation, ``startingPoint``. Setting this
property allows to define which node the menu
should base on.

A simple TypoScript example could be::
parts.footerMenu = TYPO3.Neos:Menu
  parts.footerMenu.templatePath = 'resource://…/FooterMenu.html'
  parts.footerMenu.startingPoint = ${node}

Change-Id: I5ac315b4c8debbfbb7bb91b7030f7497eef45028
Resolves: #29542

History
#1 - 2011-11-07 10:26 - Sebastian Kurfuerst
- Priority changed from Could have to Won't have this time

not really relevant right now.

#2 - 2013-05-11 18:31 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18048

#3 - 2013-05-11 18:32 - Christian Müller
- Status changed from New to Under Review
https://review.typo3.org/18048


#4 - 2013-05-13 09:35 - Christian Müller
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:b3621bd69cf2e2b50fb79ae613bf851304510e25.
